org.eclipse.graphiti.palette.impl

## Class AbstractPaletteEntry

- java.lang.Object
- - org.eclipse.graphiti.palette.impl.AbstractPaletteEntry

All Implemented Interfaces:
  IPaletteEntry

Direct Known Subclasses:
  AbstractPaletteToolEntry, PaletteCompartmentEntry, PaletteSeparatorEntry, StackEntry

    public abstract class AbstractPaletteEntry
    extends Object
    implements IPaletteEntry

The Class AbstractPaletteEntry.

### Constructor Summary

Constructors
Constructor and Description
`AbstractPaletteEntry(String label, String iconId)` Creates a new `AbstractPaletteEntry`.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getIconId()` Gets the icon id.
`String` `getLabel()` Gets the label.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractPaletteEntry

    public AbstractPaletteEntry(String label,
                                String iconId)

Creates a new `AbstractPaletteEntry`.

Parameters:
  `label` - the label
  `iconId` - the icon id

### Method Detail

#### getLabel

    public String getLabel()

Description copied from interface: `IPaletteEntry`
Gets the label.

Specified by:
  `getLabel` in interface `IPaletteEntry`
Returns:
  the label

#### getIconId

    public String getIconId()

Description copied from interface: `IPaletteEntry`
Gets the icon id.

Specified by:
  `getIconId` in interface `IPaletteEntry`
Returns:
  the icon id